# puppet-resolvconf ![License badge][license-img]

1. [Overview](#overview)
2. [Description](#module-description)
3. [Setup](#setup)
4. [Usage](#usage)
5. [Limitations](#limitations)
6. [Development](#development)
7. [Miscellaneous](#miscellaneous)

## Overview

Resolv.conf is the name of a computer file used in various operating systems to
configure the system's Domain Name System (DNS) resolver.

[wikipedia.org](https://en.wikipedia.org/wiki/Resolv.conf)

## Description

This module enables you to install, deploy, and configure resolv.conf.

## Setup

Copy this module in your modules folder without *puppet-* in the name.

## Usage

```puppet
class { 'resolvconf':
  domain     => 'google.com',
  search     => 'google.com',
  nameserver => [ '8.8.4.4','8.8.8.8' ],
}
```

## Limitations

So far, this is compatible with Debian, RedHat, and other derivatives.

## Development

Please read carefully [CONTRIBUTING.md](/CONTRIBUTING.md)
before making a merge request.

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```

[license-img]: https://img.shields.io/badge/license-Apache-blue.svg
